Subject: Re: HIGHMEM now working

From: Dan Malek <[email-masked]>
Date: Wed, 18 Oct 2000 02:11:01 -0400

Paul Mackerras wrote:

> What do you have to initialize that can't wait until m8xx_setup_arch?

I set up the 8xx/82xx CPM.  I can cheat here and grab some physical
pages of memory before the VM grabs them and makes me jump through
hoops to get pages I can just __pa() or __va() :-).  I could probably
move this to later.  I also use a #define IMMR for a pointer to the
internal space of the processor.  Saves a few cycles, but I should
really make this a variable.  I can use the #define because I know
the VM mapping is going to be 1:1.

It's nothing I can't change......

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/